> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Sync sequence

> Trigger a new run for the given sync sequence.

A sequence never runs concurrently with itself. If a run is already in
progress, then where run queueing is enabled for the workspace, a single
follow-up run is queued and starts after the current run completes
(repeated triggers return the same queued run); otherwise the id of the
run already in progress is returned.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json post /sync-sequences/{syncSequenceId}/trigger
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /sync-sequences/{syncSequenceId}/trigger:
    post:
      summary: Trigger Sync sequence
      description: |-
        Trigger a new run for the given sync sequence.

        A sequence never runs concurrently with itself. If a run is already in
        progress, then where run queueing is enabled for the workspace, a single
        follow-up run is queued and starts after the current run completes
        (repeated triggers return the same queued run); otherwise the id of the
        run already in progress is returned.
      operationId: TriggerSequenceRun
      parameters:
        - description: The id of the sync sequence to trigger a run
          in: path
          name: syncSequenceId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerSequenceRunOutput'
              examples:
                Example 1:
                  value:
                    id: 0cb7da35-1fff-4d4a-bf1b-6534d515e5b5
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    TriggerSequenceRunOutput:
      description: The output of a trigger action to run sync sequences
      properties:
        id:
          type: string
          description: The id of the triggered sync sequence run.
      required:
        - id
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````